Sage Software’s MAS 500 version 7.3 is PCI-DSS Compliant

Do you process credit cards through your ERP system?  Are those credit card transactions secure?  Are you certain?  Will you be able to continue managing credit card transactions as you have done in the past?
The five major credit card companies have recently announced that they are enacting new standards for companies that store, process and transmit credit card transactions.  Referred to as the Payment Card Industry Data Security Standards (PCI-DSS), they impose new requirements for companies to follow, and will affect many of you.
To read about the details of this new requirement as well as how Sage MAS 500 version 7.3 ensures your credit card processing compliance, visit this link:
http://www.sagemasinfo.com/M500PCI/
In addition, you can always contact us to discuss in detail this, and other, MAS 500 version 7.3 features that help you run your business.

2010-04-26T17:09:34+00:00 April 26th, 2010|Distribution|Comments Off on Sage Software’s MAS 500 version 7.3 is PCI-DSS Compliant